package com.link.core.util;

import com.link.core.cache.CoreCacheUtil;
import com.link.core.util.redisclient.LinkRedisClient;
import java.util.Map;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class PropertyUtil {
   private static final Logger logger = LoggerFactory.getLogger(PropertyUtil.class);

   public static String getCropProperty(String propertyKey, Long corpId) {
      String result = null;

      try {
         result = getProperty(propertyKey, corpId);
      } catch (Exception var4) {
         Exception e = var4;
         logger.error(e.getMessage());
      }

      return result;
   }

   public static String getCommonProperty(String propertyKey) {
      String result = null;

      try {
         result = getProperty(propertyKey, (Long)null);
      } catch (Exception var3) {
         Exception e = var3;
         logger.error(e.getMessage());
      }

      return result;
   }

   public static String getProperty(String propertyKey, Long corpId) {
      LinkRedisClient jedis = null;
      if (null == corpId) {
         corpId = AppConstants.ADMIN_CORP_ID;
      }

      String result = null;

      try {
         jedis = RedisUtil.getJedis();
         if (!AppConstants.ADMIN_CORP_ID.equals(corpId)) {
            String key = CoreRedisGenUtils.genRedisKey("APPLICATION_PARM_%s", new String[]{corpId.toString()});
            Map<String, String> resultMap = CoreCacheUtil.getCfgPropertyCache(key);
            result = (String)resultMap.get(propertyKey);
            if (StringUtils.isBlank(result)) {
               result = getCommProperty(propertyKey);
            }
         } else {
            result = getCommProperty(propertyKey);
         }
      } catch (Exception var9) {
         Exception e = var9;
         logger.error(e.getMessage());
      } finally {
         RedisUtil.returnResource(jedis);
      }

      return result;
   }

   private static String getCommProperty(String propertyKey) throws Exception {
      String result = null;

      try {
         String key = CoreRedisGenUtils.genRedisKey("APPLICATION_PARM_%s", new String[]{AppConstants.ADMIN_CORP_ID.toString()});
         Map<String, String> resultMapCommon = CoreCacheUtil.getCfgPropertyCache(key);
         result = (String)resultMapCommon.get(propertyKey);
      } catch (Exception var4) {
         Exception e = var4;
         logger.error(e.getMessage());
      }

      return result;
   }
}
